package com.yanzhu.jh.project.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 项目建设节点对象 base_build_node
 * 
 * @author ruoyi
 * @date 2023-08-07
 */
public class BaseBuildNode extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /**  */
    private Long id;

    /** 1-住宅/办公楼,2-学校,3-道路,4-厂房,5-医院,6-公园,7-商业 */
    @Excel(name = "1-住宅/办公楼,2-学校,3-道路,4-厂房,5-医院,6-公园,7-商业")
    private Long buildType;

    /** 节点名称 */
    @Excel(name = "节点名称")
    private String nodeText;

    /** 节点级别01,0101,0101 */
    @Excel(name = "节点级别01,0101,0101")
    private String nodeLvl;

    
    private int nodeType;

    public int getNodeType() {
        return nodeType;
    }

    public void setNodeType(int nodeType) {
        this.nodeType = nodeType;
    }

    /** 是否删除 */
    @Excel(name = "是否删除")
    private Long isDel;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setBuildType(Long buildType) 
    {
        this.buildType = buildType;
    }

    public Long getBuildType() 
    {
        return buildType;
    }
    public void setNodeText(String nodeText) 
    {
        this.nodeText = nodeText;
    }

    public String getNodeText() 
    {
        return nodeText;
    }
    public void setNodeLvl(String nodeLvl) 
    {
        this.nodeLvl = nodeLvl;
    }

    public String getNodeLvl() 
    {
        return nodeLvl;
    }
    public void setIsDel(Long isDel) 
    {
        this.isDel = isDel;
    }

    public Long getIsDel() 
    {
        return isDel;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("buildType", getBuildType())
            .append("nodeText", getNodeText())
            .append("nodeLvl", getNodeLvl())
            .append("remark", getRemark())
            .append("isDel", getIsDel())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
